set SERVICE_NAME=MDCMSCmdService
set SERVICE_PATH=C:\apps\MDCMSCmdService

set PRUNSRV=prunsrv64.exe
REM PRUNSRV=prunsrv32.exe

set PR_INSTALL=%SERVICE_PATH%\%PRUNSRV%
set PR_DESCRIPTION=Executes MDCMS deployment scripts for components installed on this Server

REM Service log configuration
set PR_LOGPREFIX=%SERVICE_NAME%
set PR_LOGPATH=%SERVICE_PATH%\logs
set PR_STDOUTPUT=%SERVICE_PATH%\logs\stdout.txt
set PR_STDERROR=%SERVICE_PATH%\logs\stderr.txt
set PR_LOGLEVEL=Debug

REM Path to java installation
REM 64-bit JAVA
set PR_JVM=C:\Program Files\Java\jre1.8.0_111\bin\server\jvm.dll

REM 32-bit JAVA
REM set PR_JVM=C:\Program Files (x86)\Java\jre1.8.0_111\jre\bin\client\jvm.dll

set PR_CLASSPATH=mdcmd.jar

REM Startup configuration
set PR_STARTUP=auto
set PR_STARTMODE=jvm
set PR_STARTCLASS=com.md.mdcms.StartService
set PR_STARTMETHOD=start
set PR_STARTPARAMS=start;%SERVICE_PATH%\drops

REM Shutdown configuration
set PR_STOPMODE=jvm
set PR_STOPCLASS=com.md.mdcms.StartService
set PR_STOPMETHOD=stop
set PR_STOPPARAMS=stop

REM JVM configuration
set PR_JVMMS=256
set PR_JVMMX=512
set PR_JVMSS=512
set PR_JVMOPTIONS=-Duser.language=en;-Duser.region=US

REM Install service
%PRUNSRV% //IS//%SERVICE_NAME%